Skip to navigation

Create a cancellation on an order

Post a cancellation of line item

Authentication

tokenstring

The Authentication token obtained from the get_token route.

OR
x-api-keystring
The SSO token obtained from the Feedonomics platform SSO token route.

Path parameters

order-idstringRequired
FeedAMP Order ID

Headers

clientintegerRequired
The ID of the client making the request

Request

This endpoint expects an object.
cancellation_lineslist of objectsRequired
reasonenumRequired
Reason provided for the order line's cancellation

Response

Cancellation object
idstring
Unique identifier for a record
cancellation_lineslist of objects
reasonenum
Reason provided for the order line's cancellation

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error